#include <Wire.h> //Libraries for I2C and LCD
#include <LCD.h>
#include <LiquidCrystal_I2C.h>

float temp;   //Variable where we will stock the temperature value
int tempPC = A1; //Pin used with the sensor output here it's A1

// Define LED //
#define led1Pin 12
#define led2Pin 10
#define led3Pin 8
// Define I2C //
#define I2C_ADDR 0x27 //I2C Adress
#define BACKLIGHT_PC 3 //LCD Stuffs 
#define En_PC 2
#define Rw_PC 1
#define Rs_PC 0
#define D4_PC 4
#define D5_PC 5
#define D6_PC 6
#define D7_PC 7 

LiquidCrystal_I2C lcd(I2C_ADDR,En_PC,Rw_PC,Rs_PC,D4_PC,D5_PC,D6_PC,D7_PC);

void setup() {

  Serial.begin(9600);
  Serial.println("Temperature | Status");
  Serial.println("--------------------");
  pinMode(tempPC,INPUT);
  pinMode(led1Pin, OUTPUT);
  pinMode(led2Pin, OUTPUT);
  pinMode(led3Pin, OUTPUT);

  lcd.begin (16,2);

  lcd.setBacklightPin(BACKLIGHT_PC,POSITIVE);

  lcd.setBacklight(HIGH);

  lcd.home();

}

void loop()

{

  temp = analogRead(tempPC); //Reading the value from the analog input

  temp = temp * 0.48828125; //Sensor calibration to get the real value
  

  Serial.print("  ");
  Serial.print(temp);
  Serial.print(" C   |  ");


  lcd.clear();
  
  lcd.setCursor (0,0); //Start writing on 0.0 on lcd screen

  lcd.print("Temperature");

  lcd.setCursor (0,1);

  digitalWrite(led1Pin,LOW);
  digitalWrite(led2Pin,LOW);
  digitalWrite(led3Pin,LOW);

  lcd.print(temp); //Temperature value

  lcd.print(" C"); 

  if(temp < 37){ // Safe : GREEN ON
    digitalWrite(led3Pin,HIGH);
    digitalWrite(led1Pin,LOW);
    digitalWrite(led2Pin,LOW);
    Serial.println("SAFE");
  }
  else if(temp >= 37 && temp < 45){ // Caution : YELLOW ON
    digitalWrite(led2Pin,HIGH);
    digitalWrite(led1Pin,LOW);
    digitalWrite(led3Pin,LOW);
    Serial.println("CAUTION");
  }
  else if(temp >= 45){ // Danger : RED ON
    digitalWrite(led1Pin,HIGH);
    digitalWrite(led2Pin,LOW);
    digitalWrite(led3Pin,LOW);
    Serial.println("DANGER");
  }

  delay(1000); //Refresh every 1s
  
}
